/* 
Theme Name: Polvanera theme Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Tema realizzato per Cantine Polvanera
Author: vlp
Author URI: cantinepolvanera.it
Template: polvanera-theme
Version: 2.0.0
Text Domain: polvanera-theme
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


/* =========================
   WAVE COVER BUTTON
   ========================= */

.wave-cover {
  position: relative;
  overflow: hidden;
  transition: color 0.4s ease;
}

/* testo sempre sopra */
.wave-cover .qodef-m-text {
  position: relative;
  z-index: 2;
}

/* onda */
.wave-cover::before {
  content: "";
  position: absolute;
  bottom: -120%;
  left: -10%;
  width: 120%;
  height: 120%;
  background-color: #743559;
  /* COLORE WAVE */
  border-radius: 40% 45% 50% 40%;
  transition: bottom 0.6s ease;
  z-index: 1;
}

/* hover */
.wave-cover:hover::before {
  bottom: -10%;
}

.wave-cover:hover {
  color: #ffffff;
}

/* =========================
   header sticky
   ========================= */





header {
  position: sticky !important;
  top: 0;
  /* distanza dalla cima della viewport */
  z-index: 1000;
  /* sopra gli altri elementi */
  transition: all 0.3s ease;
  /* transizione fluida */
}


header.is-sticky {
  background-color: #000 !important;
  /* sfondo nero quando sticky */
  background-image: none !important;
  transition: padding 0.3s ease,
    background-color 0.3s ease;
}

.logo2 {
  display: none;

}

header.is-sticky .logo1 {
  display: none;
}

header.is-sticky .logo2 {
  display: block;

}




/* Container Elementor con sfondo animato */
.kenburns {
  position: relative;
  overflow: hidden;
  /* evita che l’immagine “sbordi” */
  background-position: center;
  background-size: 110%;
  /* partenza zoom leggero */
  background-repeat: no-repeat;
  animation: kenburns 30s ease-in-out infinite alternate;
}

/*solo zoom */

@keyframes kenburns {
  from {
    background-size: 100%;
  }

  to {
    background-size: 120%;
  }
}

/* contact form */

.wpcf7 .contatti {
  font-family: "DM Sans", Sans-serif !important;
}

.wpcf7 .contatti .two-columns {
  columns: 2;
  /* O un altro numero di colonne desiderato */
  gap: 20px;
  /* Spazio tra le colonne */
}

.wpcf7 .contatti label {
  color: #000;
  margin-top: 15px;
}

.wpcf7 .contatti input[type="date"],
.wpcf7 input[type="email"],
.wpcf7 input[type="number"],
.wpcf7 input[type="password"],
.wpcf7 input[type="search"],
.wpcf7 input[type="tel"],
.wpcf7 input[type="text"],
.wpcf7 input[type="url"],
.wpcf7 select {
  border: 1px solid #000;
  border-radius: 1.5rem;
  height: 3rem;
  padding: 0.5rem 1rem;
  transition: all 0.3s;
  width: 100%;

  margin-top: 10px;
}

.wpcf7 .contatti textarea {
  border: 1px solid #000;
  border-radius: 0.5rem;
  height: 5rem;
  padding: 0.5rem 1rem;
  transition: all 0.3s;
  width: 100%;

  margin-top: 10px;
}

.wpcf7 .contatti .accetta .wpcf7-form-control.wpcf7-acceptance {
  background: rgb(0 0 0 / 0%);
  margin-top: 35px;
  color: white;
}

.wpcf7 .contatti .accetta .wpcf7-list-item {
  margin: 0;
}

.wpcf7 .contatti [type="button"],
[type="submit"],
button {
  background-color: #743559;
  border: 1px solid #743559;
  border-radius: 150px;
  color: #fff;
  display: block;
  margin: 0 auto;
  font-family: "DM Sans", Sans-serif !important;
  width: 60%;
  height: 3rem;
  font-size: 1rem;
  font-weight: 600;
  padding: 0.5rem 1rem;
  margin-top: 20px;
  text-align: center;
  transition: all 0.3s;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  white-space: nowrap;
}

.wpcf7 .contatti [type="submit"]:hover,
button:focus,
button:hover {
  background-color: #743559;
  color: #fff;
  text-decoration: none;
}

[type="button"]:focus,
[type="button"]:hover,
[type="submit"]:focus,
[type="submit"]:hover,
button:focus,
button:hover {
  background-color: #743559;
  color: #fff;
  text-decoration: none;
  font-weight: 700;
}

.wpcf7 .contatti form.invalid .wpcf7-response-output,
.wpcf7 .contatti form.unaccepted .wpcf7-response-output,
.wpcf7 .contatti form.payment-required .wpcf7-response-output {
  border-color: #ffb900;
  color: #000;
}

.wpcf7-not-valid-tip {
  color: red;
}

/* Opzionale: per controllare il layout quando il numero di colonne è 1 su dispositivi mobili */
@media (max-width: 768px) {
  .wpcf7 .contatti .two-columns {
    columns: 1;
  }
}

/* contact form NL */

.wpcf7 .newsletter {
  font-family: "DM Sans", Sans-serif !important;
	display: flex;
	flex-wrap: wrap;
}

.wpcf7 .newsletter .two-columns {
/* columns: 2;
  /* O un altro numero di colonne desiderato */
  gap: 20px;
  /* Spazio tra le colonne
	height: 3rem; */
	
	
}

.wpcf7 .newsletter label {
  color: #fff;
  margin-top: 15px;
}


.wpcf7  .newsletter input[type="email"] {
  border: 1px solid #000;
  border-radius: 1.5rem;
  height: 3rem;
  padding: 0.5rem 1rem;
  transition: all 0.3s;
  width: 100%;
      margin-top: 0;
}


.wpcf7 .newsletter .accetta .wpcf7-form-control.wpcf7-acceptance {
  background: rgb(0 0 0 / 0%);
  margin-top: 35px;
  color: white;
  font-size:12px;
}

.wpcf7 .newsletter .accetta .wpcf7-list-item {
  margin: 0;
}

.wpcf7 .newsletter [type="button"],
.wpcf7 .newsletter [type="submit"],
.wpcf7 .newsletter button {
  background-color: #743559;
  border: 1px solid #743559;
  border-radius: 150px;
  color: #fff;
  display: block;
  margin: 0 auto;
  font-family: "DM Sans", Sans-serif !important;
     width: 150px;
  height: 3rem;
  font-size: 1rem;
  font-weight: 600;
  padding: 0.5rem 1rem;
  text-align: center;
  transition: all 0.3s;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  white-space: nowrap;
}

.wpcf7 .contatti [type="submit"]:hover,
button:focus,
button:hover {
  background-color: #743559;
  color: #fff;
  text-decoration: none;
}

[type="button"]:focus,
[type="button"]:hover,
[type="submit"]:focus,
[type="submit"]:hover,
button:focus,
button:hover {
  background-color: #743559;
  color: #fff;
  text-decoration: none;
  font-weight: 700;
}

.wpcf7 .newsletter form.invalid .wpcf7-response-output,
.wpcf7 .newsletter form.unaccepted .wpcf7-response-output,
.wpcf7 .newsletter form.payment-required .wpcf7-response-output {
  border-color: #ffb900;
  color: #000;
}

.wpcf7-not-valid-tip {
  color: red;
}

/* Opzionale: per controllare il layout quando il numero di colonne è 1 su dispositivi mobili */
@media (max-width: 768px) {
  .wpcf7 .newsletter .two-columns {
    columns: 1;
	 
  }
}


/*la masseria*/


/*title reveal*/

.scroll-right,
.scroll-left {
  overflow: hidden;
  font-size: 2rem;
  display: inline-block;
}


/*text reveal*/

.word {
  position: relative;
}

.line-mask {
  position: absolute;
  top: 0;
  right: 0;
  background-color: #fff;
  opacity: 0.8;
  height: 100%;
  width: 100%;
  z-index: 2;
}

.text_reveale {
  width: 70%;
  height: 90px;
  position: relative;
  overflow: hidden;

}

.text_reveale span {
  position: absolute;
  font-size: 3rem;

}

/* timeline pagina premi

/* LINEA */
.timeline::before {
  content: "";
  position: absolute;
  left: 180px;
  top: 0;
  width: 1px;
  height: 100%;
  background: #000;
}

@media (max-width: 768px) {
  .timeline::before {
  left: 65px;

}
}

/* LINEA ANIMATA */
.timeline-progress {
  position: absolute;
  left: 150px;
  top: 0;
  width: 2px;
  height: 0;
  background: #000;
}

/* SINISTRA */


.year {
  font-size: 32px;
  margin-bottom: 80px;
  opacity: 0.3;
  transition: 0.3s;
}

.year.active {
  opacity: 1;
}

/* DESTRA */


.content {
  margin-bottom: 120px;
  opacity: 0;
}

[id] {
  scroll-margin-top: 120px;
}


/* E-commerce */
.woocommerce a:hover  
    color: #743559;
}

/*quantity*/

.elementor-add-to-cart form.cart{
    display:flex;
    align-items:center;
    gap:24px;
    flex-wrap:wrap;
}

/* QUANTITY BOX */
.elementor-add-to-cart .qty-wrapper{
    display:flex;
    align-items:center;
    justify-content:center;

    border:1px solid #D9D9D9;
    border-radius:999px;

    height:52px;
    padding:0 14px;

    background:#fff;
	    width: 150px;
}

/* INPUT */
.elementor-add-to-cart .qty{
    width:40px;
    border:none !important;
    box-shadow:none !important;
    text-align:center;

    font-size:20px;
    font-weight:500;

    padding:0;
    background:transparent;
}

/* REMOVE ARROWS */
.elementor-add-to-cart .qty::-webkit-outer-spin-button,
.elementor-add-to-cart .qty::-webkit-inner-spin-button{
    -webkit-appearance:none;
    margin:0;
}

.elementor-add-to-cart .qty{
    -moz-appearance:textfield;
}

/* PLUS / MINUS */
.elementor-add-to-cart .qty-btn{
    border:none;
    background:transparent;

    width:32px;
    height:32px;

    cursor:pointer;

    font-size:24px;
    font-weight:400;
    line-height:1;

    display:flex;
    align-items:center;
    justify-content:center;

    color:#000;

    transition:opacity .2s ease;
}

.elementor-add-to-cart .qty-btn:hover{
    opacity:.6;
}

/* ADD TO CART BUTTON */
.elementor-add-to-cart .single_add_to_cart_button{
    border-radius:999px !important;

    min-height:52px;
    padding:0 38px !important;

 width: 100%;
    border:none !important;

    font-size:20px;
    font-weight:500;

    transition:all .25s ease;
}

/* HOVER */
.elementor-add-to-cart .single_add_to_cart_button:hover{
    transform:translateY(-1px);
    opacity:.92;
}

/* wrapper quantità */
.quantity .qty-wrapper {
  display: inline-flex;
  align-items: center;
  gap: 0;
  border: 1px solid #dcdcdc;
  border-radius: 999px;
  padding: 4px 8px;
  background: #fff;
}


/* input numero */
.quantity .qty-wrapper input.qty {
  width: 32px;
  text-align: center;
  border: none;
  background: transparent;
  font-size: 14px;
  font-weight: 500;
  color: #000;
  outline: none;
  padding: 0;
  -moz-appearance: textfield;
}


/* rimuove frecce default */
.quantity .qty-wrapper input.qty::-webkit-outer-spin-button,
.quantity .qty-wrapper input.qty::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* bottoni + - */
.quantity .qty-btn {
  width: 28px;
  height: 28px;
  border: none;
  background: transparent;
  font-size: 18px;
  font-weight: 400;
  line-height: 1;
  cursor: pointer;
  color: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0!important;
  margin: 0!important;
  background-color: #fff!important;
}

/* hover delicato */
.quantity .qty-btn:hover {
  opacity: 0.6;
  color: #000;
}

/* focus accessibilità */
.quantity .qty-btn:focus,
.quantity .qty-wrapper input.qty:focus {
  outline: none;
  color: #000;
}

/* variazione prezzo */
.woocommerce-variation-add-to-cart .variations_button .woocommerce-variation-add-to-cart-disabled {
	justify-content: space-between;
}

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product span.price {
    color: #958e09;
    font-size: 1.25em;
    color: #000
    font-family: "DM Sans", Sans-serif;
    font-size: clamp(16px, 1.7vw, 20px);
    font-weight: 600;
}

.woocommerce div.product form.cart .variations td, .woocommerce div.product form.cart .variations th{
	background-color: #fff;
	text-align: left;
}
.woocommerce form.cart table.variations tr th{
	padding-left:0 !important;
}

.woocommerce form.cart table.variations td.value select {
	border-radius: 150px;
}
.woocommerce-variation-price {
	display: none;
}
.woocommerce div.product form.cart .reset_variations {
	visibility: hidden!important;
	display: none;
}


/*carrello*/

/*carrello*/

.woocommerce-cart-form .shop_table thead {
  display: none;
}
.cart-title{
font-family: "DM Sans", sans-serif;
    font-size: 16px;
    font-weight: 500;
}

/* Testo sopra il campo coupon */
 .coupon::before {
    content: "💸 Inserisci il tuo codice sconto e risparmia subito!";
    display: block;
    font-size: 0.85em;       /* leggermente più piccolo */
    color: #555555;          /* grigio medio */
    font-style: italic;      /* corsivo elegante */
    margin-bottom: 8px;      /* spazio tra testo e input */
}

.coupon input#coupon_code {
  border-radius: 120px;
    padding: 12px;
    padding-left: 20px;
}

/* form carrello */

.woocommerce form .form-row .input-text, .woocommerce form .form-row select {
  font-family: "DM Sans", Sans-serif;
    font-size: 14px!important;
    font-weight: normal;
    line-height: 16px;
    border: 1px solid #DBDBDB;
    border-radius: 1rem;
  padding: 0.5rem 0.8rem;
}
 .woocommerce form .form-row select {
  font-family: "DM Sans", Sans-serif;
    font-size: 14px!important;
    font-weight: normal;
    line-height: 16px;
    border: 1px solid #DBDBDB;
    border-radius: 1rem;
  padding: 0.5rem 0.8rem;
}

#ship-to-different-address{
  font-family: "DM Sans", Sans-serif!important;
}
/* form buono regalo */
#pwgc-redeem-form {
  font-family: "DM Sans", Sans-serif!important;
  font-weight: 400;
    line-height: 16px;
}
#pwgc-redeem-form label {
  font-family: "DM Sans", Sans-serif!important;
  font-weight: 400;
    line-height: 16px;
    color: #000;
  margin-top: 10px;
}

#pwgc-redeem-form input[type=text] {
  font-family: "DM Sans", Sans-serif!important;
    font-size: 14px!important;
    font-weight: normal;
    line-height: 16px;
    border: 1px solid #DBDBDB;
    border-radius: 1rem;
  padding: 0.5rem 0.8rem;
  width:100%;
  margin-top:10px;
}
 #pwgc-redeem-button {
    display: block!important;
    margin-top: 10px!important;
    background-color: #743559;
    color: #fff;
    border-radius: 200px;
   font-size: 15px;
    font-weight: 400;
   width: 100%;
}

#pwgc-redeem-error {
    color: #d20000;
}

.elementor-wc-products ul.products li.product .button {
width: 100%;
    text-align: center;
}

#category .woocommerce ul.products li.product a img {
    display: none !important;
}

#category .woocommerce ul.products{ 
	display: flex!important;
	flex-wrap: wrap;
    column-gap: 10px;
    row-gap: 10px;
}
#category .woocommerce  ul.products li 
{
    background-color: #000!important;
	padding: 4px 30px 0px 30px !important;
	border-radius: 222px;
}

#category .woocommerce  ul.products li:hover 
{
    background-color: #743559!important;
	
}


/* Messaggio di successo */
.woocommerce-message {
    background-color: #e8f5e9;
    color: #2e7d32;
    border-top: 3px solid #743559;
}

.woocommerce-message::before {
    color: #743559;
}


/* Messaggio di errore */
.woocommerce-error {
    background-color: #fff;
    color: #743559;
    border-top: 3px solid #743559;
}

.woocommerce-error::before {
    color: #743559;
}

/* Messaggio di avviso */

.woocommerce-info {
    background-color: #fff;
    color: #743559;
    border-top: 3px solid #743559;
}

.woocommerce-info::before {
    color: #743559;
}


.woocommerce .woocommerce-info .button{
   color: #ffffff!important;
    font-weight: 400;
    border-radius: 200px;
    padding: 15px 30px;
    background-color: #743559;
}

.woocommerce .woocommerce-info .button:hover {
   color: #ffffff!important;
    font-weight: 400;
    border-radius: 200px;
    padding: 15px 30px;
    background-color: #000!important;
}

.woocommerce {
	font-family: "DM Sans", Sans-serif;
}

.woocommerce-message {
background-color: #f6f6f6;
    color: #000000;
    border-radius: 8px;
    border: 2px solid #e0e0e0;
    font-weight: 500;
	font-family: "DM Sans", Sans-serif;
}